Package com.xebialabs.xlrelease.risk.domain.riskassessors

## Class TaskRetriesRiskAssessor

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor
    - - com.xebialabs.xlrelease.risk.domain.riskassessors.TaskRetriesRiskAssessor

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(label="TaskRetriesAssessor",
                versioned=false)
      public class TaskRetriesRiskAssessor
      extends RiskAssessor

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `maxRetries` |
    `int` | `minRetries` |
    `static java.lang.String` | `TASK_RETRIES_HEADLINE` |

    - ### Fields inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

      `description, group, icon, OK_HEADLINE, OK_SCORE, order, score, title, weight`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskRetriesRiskAssessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RiskAssessment` | `execute​(Release release, RiskProfile riskProfile)` |
    `int` | `getMaxRetries()` |
    `int` | `getMinRetries()` |
    `void` | `setMaxRetries​(int maxRetries)` |
    `void` | `setMinRetries​(int minRetries)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

      `getDescription, getGroup, getIcon, getOrder, getScore, getTitle, getWeight, setDescription, setGroup, setIcon, setOrder, setScore, setTitle, setWeight`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TASK_RETRIES_HEADLINE

          public static final java.lang.String TASK_RETRIES_HEADLINE

      See Also:
        Constant Field Values

    - #### minRetries

          @Property(description="Minimum amount of retries to have to score")
          public int minRetries

    - #### maxRetries

          @Property(description="Maximum amount of retries to have to score")
          public int maxRetries

  - ### Constructor Detail

    - #### TaskRetriesRiskAssessor

          public TaskRetriesRiskAssessor()

  - ### Method Detail

    - #### execute

          public RiskAssessment execute​(Release release,
                                        RiskProfile riskProfile)

      Specified by:
        `execute` in class `RiskAssessor`

    - #### getMinRetries

          public int getMinRetries()

    - #### setMinRetries

          public void setMinRetries​(int minRetries)

    - #### getMaxRetries

          public int getMaxRetries()

    - #### setMaxRetries

          public void setMaxRetries​(int maxRetries)